Chef Server 12.0.1 - chef-server-ctl - ffi-yajl and yajl-ruby warning


#1

I have searched this list and Chef Server release notes and have not found any
other reports of this warning so I thought I would see if anyone has any input

Running Chef Server 12.0.1 on CentOS 6.6 x86_64.

All chef-server-ctl commands result in a “warning” about what seems to be
conflicting gem packages in the 11.12.2 client that the embedded server uses
for convergence.

Is this anything that I should worry about? Is this a know issue?

Many Thanks!

root@is1 /root 1826# chef-server-ctl status

the ffi-yajl and yajl-ruby gems have incompatible C libyajl libs and should not
be loaded in the same Ruby VM
falling back to ffi which might work (or might not, no promises)
ffi-yajl/json_gem is deprecated, these monkeypatches will be dropped shortly

run: bookshelf: (pid 20835) 56758s; run: log: (pid 20107) 56790s
run: nginx: (pid 22664) 56273s; run: log: (pid 20507) 56764s
run: oc_bifrost: (pid 20556) 56763s; run: log: (pid 19572) 56818s
run: oc_id: (pid 20633) 56763s; run: log: (pid 19622) 56807s
run: opscode-erchef: (pid 20947) 56756s; run: log: (pid 20329) 56783s
run: opscode-expander: (pid 20734) 56759s; run: log: (pid 19846) 56798s
run: opscode-expander-reindexer: (pid 20784) 56758s; run: log: (pid 20020)
56795s
run: opscode-solr4: (pid 20662) 56761s; run: log: (pid 19775) 56801s
run: postgresql: (pid 20543) 56763s; run: log: (pid 19148) 56835s
run: rabbitmq: (pid 18086) 56848s; run: log: (pid 18099) 56848s
run: redis_lb: (pid 23622) 56000s; run: log: (pid 20473) 56770s


#2

On Tue, 30 Dec 2014, mselby@thenextbigsound.com wrote:

I have searched this list and Chef Server release notes and have not
found any other reports of this warning so I thought I would see if
anyone has any input

Running Chef Server 12.0.1 on CentOS 6.6 x86_64.

All chef-server-ctl commands result in a “warning” about what seems to be
conflicting gem packages in the 11.12.2 client that the embedded server uses
for convergence.

Is this anything that I should worry about? Is this a know issue?

I’ve seen this also, so it’s not just you. Can you open an issue at
https://github.com/opscode/chef-server/issues?

The installed package should be fine though and not something you need to
worry about.

  • Julian

[ Julian C. Dunn jdunn@aquezada.com * Sorry, I’m ]
[ WWW: http://www.aquezada.com/staff/julian * only Web 1.0 ]
[ gopher://sdf.org/1/users/keymaker/ * compliant! ]
[ PGP: 91B3 7A9D 683C 7C16 715F 442C 6065 D533 FDC2 05B9 ]